Event (Apache OpenNLP Tools 2.5.9 API)
Description: declaration: package: opennlp.tools.ml.model, class: Event

# Class Event

java.lang.Object
opennlp.tools.ml.model.Event

public class Event extends Object
The context of a decision point during training. This includes contextual predicates and an outcome.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Event(String outcome, CharSequence[] context)`
  Instantiates an `Event`.
  `Event(String outcome, CharSequence[] context, float[] values)`
  Instantiates an `Event`.
  `Event(String outcome, String[] context, float[] values)`
  Instantiates an `Event`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `getContext()`
  `String`
  `getOutcome()`
  `float[]`
  `getValues()`
  `String`
  `toString()`

  ### Methods inherited from class Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Event

    public Event(String outcome, CharSequence[] context)
    Instantiates an `Event`.
    Parameters:
      `outcome` - The outcome to use. Must not be `null`.
      `context` - The `array` of context elements. Must not be `null`.

  - ### Event

    public Event(String outcome, String[] context, float[] values)
    Instantiates an `Event`.
    Parameters:
      `outcome` - The outcome to use. Must not be `null`.
      `context` - The `array` of context elements. Must not be `null`.
      `values` - The `float` array to use.

  - ### Event

    public Event(String outcome, CharSequence[] context, float[] values)
    Instantiates an `Event`.
    Parameters:
      `outcome` - The outcome to use. Must not be `null`.
      `context` - The `array` of context elements. Must not be `null`.
      `values` - The `float` array to use.

- ## Method Details

  - ### getOutcome

    public String getOutcome()
    Returns:
      Retrieves the outcome.

  - ### getContext

    public String[] getContext()
    Returns:
      Retrieves the `array` of context elements.

  - ### getValues

    public float[] getValues()
    Returns:
      Retrieves the `float` array.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`